Status: Closed Spent time: 0.00 hour
Priority: Normal
Category:
Target version: 1.0.0
Severity: Minor
Description

Es mas pensarlo que implementarlo, ya que la parte de implementación es muy sencilla y no debería llevar mas de un par de horas.

Podríamos tener dos tipos de permisos:

    -  project-document-create para un tipo de documento
    -  project-document-open para un documento

Si no tenemos el permiso project-document-create, deshabilitamos el botón de crear documentos cuando este seleccionado es tipo, y
habría que valorar si eliminamos el tipo de documento de la lista de tipos, e incluso en su manager no dejamos crear el documento.

Si no tenemos el permiso de project-document-open, deshabilitamos el botón de abrir y tal vez incluso no dejamos crear la ventana
del documento desde el manager de ese documento, y lo mismo con el dialogo de propiedades.

Hay que tener en cuenta que pasa cuando cargamos un proyecto que ya tiene un documento creado para el que no tenemos
permisos de creación. Si esto no se da, yo eliminaría de la lista de documentos ese tipo directamente. Y si se da, los dejamos y
cargamos los documentos pero el abrirlo o no ya dependerá del permiso de project-document-open. Así si el usuario vuelve a
guardar el proyecto no pierde el documento para el que no tenia permiso de creación.

De todos modos, igual hay que pensarlo un poquito mas.

History
#1 - 02/22/2015 08:21 AM - Joaquín  del Cerro Murciano
- Description updated

#2 - 07/05/2016 09:58 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 07/07/2016 11:44 AM - Álvaro Anguix
- Status changed from Fixed to Closed
